﻿using System.Windows.Controls;
using IgOutlook.Infrastructure;
using Infragistics.Controls.Menus;

namespace IgOutlook
{
    public partial class Shell : UserControl
    {
        public Shell(ShellViewModel viewModel)
        {
            InitializeComponent();
            DataContext = viewModel;
        }

        private void XamOutlookBar_SelectedGroupChanged(object sender, SelectedGroupChangedEventArgs e)
        {
            var group = e.NewSelectedOutlookBarGroup as IOutlookBarGroup;
            if (group != null)
            {
                Commands.NavigateCommand.Execute(group.DefaultNavigationPath);
            }
        }

        private void XamTree_SelectionChanged(object sender, SelectionChangedEventArgs e)
        {

        }
    }
}
